summaryrefslogtreecommitdiff
path: root/.local/bin/unmounter
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/unmounter')
-rwxr-xr-x.local/bin/unmounter8
1 files changed, 4 insertions, 4 deletions
diff --git a/.local/bin/unmounter b/.local/bin/unmounter
index d9be444..184b3ae 100755
--- a/.local/bin/unmounter
+++ b/.local/bin/unmounter
@@ -1,12 +1,12 @@
#!/bin/sh
-# A dmenu prompt to unmount drives.
+# A rofi -dmenu prompt to unmount drives.
# Provides you with mounted partitions, select one to unmount.
# Drives mounted at /, /boot and /home will not be options to unmount.
unmountusb() {
[ -z "$drives" ] && exit
- chosen="$(echo "$drives" | dmenu -i -p "Unmount which drive?")" || exit 1
+ chosen="$(echo "$drives" | rofi -dmenu -i -p "Unmount which drive?")" || exit 1
chosen="$(echo "$chosen" | awk '{print $1}')"
[ -z "$chosen" ] && exit
sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."
@@ -14,9 +14,9 @@ unmountusb() {
drives=$(lsblk -nrpo "name,type,size,mountpoint,label" | awk -F':' '{gsub(/ /,":")}$4!~/\/boot|\/efi|\/home$|SWAP/&&length($4)>1{printf "%s (%s) %s\n",$4,$3,$5}')
-if [ -z "$drives" ]; then
+if [ -z "$drives" ]; then
echo "No drives to unmount." && exit
else
echo "Unmountable USB drive detected."
- unmountusb
+ unmountusb
fi